<!--
  BEGIN COPYRIGHT BLOCK
  Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
  Copyright (C) 2005 Red Hat, Inc.
  All rights reserved.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

  END COPYRIGHT BLOCK
-->
<!-- TITLE "Cluster Database Management" -->

<!-- PAGEHEADER img1="cluster.gif" img2="cluster.gif" txt="Modify Server Settings In Cluster Database" -->
<!-- DOCSWITCHER -->

<SCRIPT>

function setSelection(mode)
{
   for (i = 0; i < document.CLMOD_FORM.elements.length; i++) {
      if (document.CLMOD_FORM.elements[i].name == "RSTALL") break;
   }
   i++;
   for (j = 0; j < document.CLMOD_FORM.CL_NSERVER.value; j++) {
      document.CLMOD_FORM.elements[j+i].checked = mode;
   }
}

function submitRequest()
{
   for (i = 0; i < document.CLMOD_FORM.elements.length; i++) {
      if (document.CLMOD_FORM.elements[i].name == "RSTALL") break;
   }
   i++;
   for (j=0; j < document.CLMOD_FORM.CL_NSERVER.value; j++) {
      if (document.CLMOD_FORM.elements[j+i].checked) {
         return true;
      }
   }

   alert("You need to select a target server for operation!");
   return false;
}

function setAdminURL(form, protocol, rhost, port)
{
   if (protocol == "http") {
      form.protocol[0].checked = true;
   } else {
      form.protocol[1].checked = true;
   }
   form.rhost.value = rhost;
   form.port.value = port;
}

</SCRIPT>

<FORM NAME=CLMOD_FORM METHOD="POST" ACTION=clmod onSubmit='return submitRequest()'>

<PRE>
<!-- ELEM txt="Product Selector: " -->
<SELECT NAME="CL_PRODUCT"
        onChange="product=this.options[selectedIndex];
		  if (product.defaultSelected) {
		     return;
		  } else {
		     window.location='clmod?CL_PRODUCT='+product.value;
		  }">
<!-- LIST_PRODUCT_TO_MODIFY -->
</SELECT>

<!-- ELEM txt="Check Servers To Be Modified: " -->
<INPUT TYPE=BUTTON
       NAME=CHKALL
       VALUE="Select All"
       onClick='setSelection(true)'> <INPUT
       TYPE=BUTTON
       NAME=RSTALL
       VALUE="Reset Selection"
       onClick='setSelection(false)'>
</PRE>

<!-- LIST_SERVER_TO_MODIFY -->

<PRE></PRE>

<HR>

<!-- BEGINELEM -->
<!-- ELEMADD txt="  Admin Server Protocol: "-->
<INPUT type=radio name=protocol value=http CHECKED> http <INPUT type=radio name=protocol value=https > https
<!-- ELEMADD txt="  Admin Server Hostname: "-->
<!-- ADMIN_HOSTNAME_INPUT -->
<!-- ELEMADD txt="      Admin Server Port: "-->
<!-- ADMIN_PORT_INPUT -->
<!-- ENDELEM -->

<!-- SUBMIT -->
